<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <meta name="decorator" content="base"/>
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/css/layui.css" media="all">
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/style/admin.css" media="all">
    <link rel="stylesheet" type="text/css" href="${ctxPlugin}/static/css/reset.css" />
    <link rel="stylesheet" href="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.css" media="all">
    <style>
        html{
            background-color: #fff;
        }
        .hide{
            display: none;
        }
        td .layui-form-select{
            width: 150px;
            margin-right: 15px;
            float: left;
        }
        .load-icon{background: url('${ctxPlugin}/static/img/shili_img.png') center center no-repeat; width: 12px; height: 12px; display: inline-block; border-radius: 50%;
            vertical-align: text-bottom;transform: translate(0px, -1px);margin-right: 2px;}

        .w-130{width: 110px;}
        .w-130+.layui-input-block{margin-left: 120px;}
        .form-box .layui-inline {margin-bottom: 5px;}
        .layui-form-checkbox i{border-left: 1px solid #d2d2d2;}
        .layui-table th{text-align: center}
        .layui-table td{text-align: center}
        .layui-table tr{height: 48px}
        input[type="text"]:disabled, textarea:disabled, .layui-disabled {
            background-color:#ffffff;
        }
        .blank-img {
            background: url('${ctxPlugin}/static/imgs/blankImg.png') center center no-repeat;
            width: 80px;
            height: 80px;
            display: inline-block;
        }
        .layui-card-body{clear: both; overflow: inherit}
        .layui-tab-brief .layui-tab-title{display: block; width: 100%;}
        .csDD{min-height: 0px}
        .ttDD{min-height: 36px}
    </style>
</head>
<body>
<input type="hidden"  class="layui-input"  id="partnerId" name="partnerId">
<div class="layui-form">
    <div class="layui-card"  id="LAY_app">
        <div class="layui-card-body pt-20 over-auto">
            <div class="layui-col-xs12 form-box">
                <input hidden id="id"  value="${changeRecord.columns.id}">
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站编码：</label>
                    <div class="layui-input-block ">
                        <input type="text" autocomplete="off" disabled  name="stationCode" lay-verify="stationCode" class="layui-input"  value="${changeRecord.columns.power_station_code}">
                        <input type="text" id="entryId" lay-verify="stationCode" class="layui-input hide" value="${changeRecord.columns.entry_id}">
                        <a href="#" class="pos-a h-32 lh-32 layui-span-unit pl-10 layui-table-link" onclick="selectEntry()" style="font-size: 20px">+</a>
                        <%--  <button type="button" class="layui-btn layui-btn-sm <c:if test="${not empty changeRecord.columns.id}">layui-hide</c:if>" onclick="searchCode()">
                              <i class="layui-icon">&#xe615;</i>
                          </button>--%>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">电站状态：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="entryStatus" value="${changeRecord.columns.entry_status}" class="layui-input" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">代理商：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="traderName" class="layui-input"  disabled value="${changeRecord.columns.trader_name}">
                    </div>
                </div>
                <%--<div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">审核状态：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="proName" class="layui-input" value="" disabled>
                    </div>
                </div>--%>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">产品名称：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="projectName" class="layui-input" disabled value="${changeRecord.columns.project_name}">
                    </div>
                </div>

                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">项目公司：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="projectCompanyName" class="layui-input" disabled value="${changeRecord.columns.project_company_name}">
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">所属资方：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="partnerName" class="layui-input" value="" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">业主姓名：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="tenantName" class="layui-input" value="${changeRecord.columns.tenant_name}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs3">
                    <label class="layui-form-label w-130">身份证号：</label>
                    <div class="layui-input-block ">
                        <input type="text" name="idCode" id="ddIdCode" class="layui-input" value="${changeRecord.columns.id_code}" disabled>
                    </div>
                </div>
                <div class="layui-inline layui-col-xs12">
                    <label class="layui-form-label w-130">安装地址：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="address" class="layui-input" disabled value="${changeRecord.columns.customerAddress}">
                    </div>
                </div>


                <div class="layui-inline layui-col-xs12">
                    <label class="layui-form-label w-130">变更原因：</label>
                    <div class="layui-input-block ">
                        <input type="text"  name="reason" class="layui-input" value="${changeRecord.columns.change_reason}">
                    </div>
                </div>

            </div>
        </div>

        <div class="layui-card-body">
            <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief">
                <ul class="layui-tab-title" id="changeTab" lay-filter="changeTab" >
                    <li class="layui-this">并网信息</li>
                </ul>
                <div class="layui-tab-content">
                    <div class="layui-col-xs6">
                        <div class="mb-20">变更前信息：</div>
                        <div class="layui-col-lg7 layui-col-sm7 grid_institution bgxxDiv">
                            <label class="layui-form-label">并网机构：</label>
                            <div class="layui-input-block">
                                <input type="text" id="gridInstitutionOld" class="layui-input layui-bg-gray" disabled>
                            </div>
                        </div>
                        <div class="layui-col-lg7 layui-col-sm7 power_plant_code">
                            <label class="layui-form-label">电厂编码：</label>
                            <div class="layui-input-block">
                                <input type="text" id="powerPlantCodeOld" class="layui-input layui-bg-gray" disabled>
                            </div>
                        </div>
                        <div class="layui-col-lg7 layui-col-sm7 generator_no bgxxDiv">
                            <label class="layui-form-label">发电户号：</label>
                            <div class="layui-input-block">
                                <input type="text" id="oldGeneratorNo" class="layui-input layui-bg-gray" disabled>
                            </div>
                        </div>
                        <div class="layui-col-lg7 layui-col-sm7 province_code_hand hide">
                            <label class="layui-form-label">电力公司：</label>
                            <div class="layui-input-block">
                                <input type="text" id="oldProvinceCodeHand"  class="layui-input layui-bg-gray" disabled>
                            </div>
                        </div>
                        <div class="layui-col-lg7 layui-col-sm7 province_code">
                            <label class="layui-form-label">电力公司：</label>
                            <div class="layui-input-block">
                                <input type="text" id="oldPowerCompany"  class="layui-input layui-bg-gray" disabled>
                            </div>
                        </div>
                        <div class="layui-col-lg12 layui-col-sm12 db_imgs bgxxDiv">
                            <label class="layui-form-label">电表照片：</label>
                            <div class="layui-input-block img-box">
                                <div>
                                    <div>
                                        <div class="bj-img imgSpan dbImgs">
                                            <i class="blank-img"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="layui-col-lg12 layui-col-sm12 address_consistent bgxxDiv">
                            <label class="layui-form-label" style="width: 140px">购售电地址是否一致：</label>
                            <input type="radio" id="oldAddressConsistentY" name="oldAddressConsistent" value="Y" title="是" <c:if test="${customerEntry.addressConsistent eq 'Y'}">checked</c:if> disabled/>
                            <input type="radio" id="oldAddressConsistentN" name="oldAddressConsistent" value="N" title="否" <c:if test="${customerEntry.addressConsistent eq 'N'}">checked</c:if> disabled/>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12 hide electric_province bgxxDiv" id="oldGsddz">
                            <label class="layui-form-label">购售电地址：</label>
                            <div class="layui-input-block" style="margin-left: 0">
                                <div class="layui-col-sm3 pr-10" style="width: 22%">
                                    <input type="text" id="oldEleProvince"  class="layui-input layui-bg-gray" disabled>
                                </div>
                                <div class="layui-col-sm3 pr-10" style="width: 22%">
                                    <input type="text" id="oldEleCity"  class="layui-input layui-bg-gray" disabled>
                                </div>
                                <div class="layui-col-sm3 pr-10" style="width: 22%">
                                    <input type="text" id="oldEleArea"  class="layui-input layui-bg-gray" disabled>
                                </div>

                                <div class="layui-col-sm8 mt-10">
                                    <input type="text" id="oldEleAddress" class="layui-input layui-col-lg2 layui-bg-gray"  disabled value="${entry.electricAddress}">
                                </div>
                            </div>
                        </div>
                        <div class="layui-col-lg12 layui-col-sm12 contract bgxxDiv" >
                            <label class="layui-form-label">购售电合同：</label>
                            <div class="layui-input-block pos-r csDD" id="yshk">

                            </div>
                            <div class="contractFilenameOld">
                                <div class="layui-input-block pos-r" style="display: flex;align-items: center;">
                                    <span class="contractFilenameOld"></span>
                                </div>
                            </div>

                        </div>
                        <div class="layui-col-lg12 layui-col-sm12 contract_video_url bgxxDiv" >
                            <label class="layui-form-label">合同视频：</label>
                            <div class="contractVideoUrlOld">
                                <div class="bj-img imgSpan">
                                    <i class="blank-img"></i>
                                </div>
                            </div>
                        </div>
                        <div class="layui-col-lg12 layui-col-sm12 mt-10 yx_img bgxxDiv">
                            <label class="layui-form-label">并网照片：</label>
                            <div class="layui-input-block img-box">
                                <div>
                                    <div>
                                        <div class="bj-img imgSpan bwzp">
                                            <i class="blank-img"></i>
                                        </div>
                                    </div>
                                    <div style="width: 85px; text-align: center;">近三天发电量</div>
                                </div>
                                <div>
                                    <div>
                                        <div class="bj-img imgSpan gebImg">
                                            <i class="blank-img"></i>
                                        </div>
                                    </div>
                                    <div style="width: 92px; text-align: center;"><%--光e宝授权截图--%>补充1</div>
                                </div>
                                <div>
                                    <div>
                                        <div class="bj-img imgSpan gebImg2">
                                            <i class="blank-img"></i>
                                        </div>
                                    </div>
                                    <div style="width: 92px; text-align: center;"><%--光e宝授权截图--%>补充2</div>
                                </div>
                            </div>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12 mt-10 power_capacity_url bgxxDiv">
                            <label class="layui-form-label" style="width: 120px">三天发电量截图：</label>
                            <div class="layui-input-block img-box ml-120">
                                <div>
                                    <div class="imgsDiv">
                                        <div class="bj-img imgSpan powerCapacityImg">
                                            <i class="blank-img"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12 mt-10 archives_img">
                            <label class="layui-form-label" style="width: 120px">南网营销系统档案截图（三户）：</label>
                            <div class="layui-input-block img-box  ml-120">
                                <div>
                                    <div class="imgsDiv">
                                        <div class="bj-img imgSpan archivesImgImg">
                                            <i class="blank-img"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12 mt-10 dbx_imgs bgxxDiv">
                            <label class="layui-form-label" style="width: 120px">电表箱照片：</label>
                            <div class="layui-input-block img-box ml-120">
                                <div>
                                    <div class="imgsDiv">
                                        <div class="bj-img imgSpan dbxDmgsImg">
                                            <i class="blank-img"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12 mt-10 tlzhjk_imgs bgxxDiv">
                            <label class="layui-form-label" style="width: 120px">铜铝转换接头照片：</label>
                            <div class="layui-input-block img-box ml-120">
                                <div>
                                    <div class="imgsDiv">
                                        <div class="bj-img imgSpan tlzhjkImgs">
                                            <i class="blank-img"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12 bwts_file bgxxDiv">
                            <label class="layui-form-label" style="width: 120px">并网调试报告：</label>
                            <div class="layui-input-block pos-r ml-120" style="display: flex;align-items: center;margin-left: 0;">
                                <input type="hidden" id="bwtsFileOld" value="${insurance.bwtsFile}"/>
                                <span id="bwtsFileNameOld" class="ml-15">${insurance.bwtsFilename}</span>
                            </div>
                        </div>
                    </div>
                    <div class="layui-col-xs6 newDetail">
                        <div class="mb-20">变更后信息：</div>
                        <div class="layui-col-lg7 layui-col-sm7 grid_institution bgxxDiv">
                            <label class="layui-form-label">并网机构：</label>
                            <div class="layui-input-block">
                                <select name="gridInstitution" id="gridInstitution"  lay-filter="bwInstitution">
                                    <option value="">请选择</option>
                                    <option value="0">国网</option>
                                    <option value="1">南网</option>
                                </select>
                            </div>
                        </div>
                        <div class="layui-col-lg7 layui-col-sm7 power_plant_code">
                            <label class="layui-form-label">电厂编码：</label>
                            <div class="layui-input-block">
                                <input type="text" id="powerPlantCode" class="layui-input">
                            </div>
                        </div>
                        <div class="layui-col-lg7 layui-col-sm7 generator_no bgxxDiv">
                            <label class="layui-form-label">发电户号：</label>
                            <div class="layui-input-block">
                                <input type="text" id="generatorNo"   class="layui-input" >
                            </div>
                        </div>
                        <div class="layui-col-lg7 layui-col-sm7 province_code_hand hide">
                            <label class="layui-form-label">电力公司：</label>
                            <div class="layui-input-block">
                                <input type="text" id="provinceCodeHand"   class="layui-input" >
                            </div>
                        </div>
                        <div class="layui-col-lg7 layui-col-sm7 province_code">
                            <label class="layui-form-label">电力公司：</label>
                            <div class="layui-input-block">
                                <select name="provinceCode" id="provinceCode" lay-search>
                                    <option value="">请选择</option>
                                    <c:forEach items="${procodes}" var="code">
                                        <option value="${code.columns.code}"
                                                <c:if test="${customerEntry.provinceCode eq code.columns.code}">selected</c:if>>${code.columns.power_company}</option>
                                    </c:forEach>
                                </select>
                            </div>
                        </div>
                        <div class="layui-col-lg7 layui-col-sm7 db_imgs bgxxDiv">
                            <label class="layui-form-label">电表照片：</label>
                            <div class="layui-input-block img-box">
                                <div>
                                    <div class="imgsDiv newBdImgs">
                                    </div>
                                    <div class="upload-container moreUpload newBdImgsUp" data-title="dbImgs" data-type="1">
                                        <img src="" alt="img placeholder">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="layui-col-lg12 layui-col-sm12 address_consistent bgxxDiv">
                            <label class="layui-form-label" style="width: 140px">购售电地址是否一致：</label>
                            <input type="radio" id="newAddressConsistentY" name="addressConsistent" lay-filter="addressConsistent" value="Y" title="是" <c:if test="${customerEntry.addressConsistent eq 'Y'}">checked</c:if>/>
                            <input type="radio" id="newAddressConsistentN" name="addressConsistent" lay-filter="addressConsistent" value="N" title="否" <c:if test="${customerEntry.addressConsistent eq 'N'}">checked</c:if>/>
                        </div>
                        <div class="layui-col-lg12 layui-col-sm12 hide electric_province bgxxDiv" id="newGsddz">
                            <label class="layui-form-label">购售电地址：</label>
                            <div class="layui-input-block" style="margin-left: 0">
                                <div class="layui-col-sm3 pr-10" style="width: 22%">
                                    <select name="province" id="province" lay-filter="province" lay-search>
                                        <option value="">请选择省</option>
                                        <c:forEach items="${pros}" var="pro">
                                            <option value="${pro.columns.ProvinceName}"
                                                    title="${pro.columns.ProvinceName }"
                                                    <c:if test="${entry.electricProvince eq pro.columns.ProvinceName}">selected</c:if>>${pro.columns.ProvinceName}</option>
                                        </c:forEach>
                                    </select>
                                </div>
                                <div class="layui-col-sm3 pr-10" style="width: 22%">
                                    <select name="city" id="city" lay-filter="city" lay-search>
                                        <option value="">请选择市</option>
                                        <c:forEach items="${faccitys}" var="city">
                                            <option value="${city.columns.CityName}"
                                                    <c:if test="${entry.electricCity eq city.columns.CityName}">selected</c:if>
                                                    title="${city.columns.ProvinceName}">${city.columns.CityName}</option>
                                        </c:forEach>
                                    </select>
                                </div>
                                <div class="layui-col-sm3 pr-10" style="width: 22%">
                                    <select name="area" id="area" lay-search>
                                        <option value="">请选择县/区</option>
                                        <c:forEach items="${areas}" var="area">
                                            <option value="${area.columns.DistrictName}"
                                                    <c:if test="${entry.electricArea eq area.columns.DistrictName}">selected</c:if>
                                                    title="${area.columns.DistrictID}">${area.columns.DistrictName}</option>
                                        </c:forEach>
                                    </select>
                                </div>

                                <div class="layui-col-sm8 mt-10">
                                    <input type="text"  id="address" class="layui-input layui-col-lg2 " value="${entry.electricAddress}">
                                </div>
                            </div>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12 contract bgxxDiv">
                            <label class="layui-form-label">购售电合同：</label>
                            <div class="layui-input-block pos-r" style="display: flex;align-items: center;margin-left: 0;">
                                <span class="h-32 lh-32 layui-span-unit" style="color:#2890ac;cursor: pointer">上传</span>
                                <input type="file" id="uploadFile" style="position: absolute; z-index: 3; opacity: 0; left: 0; width: 44px;"/>
                            </div>
                            <div class="contractFilenameNew">

                            </div>
                        </div>
                        <div class="layui-col-lg12 layui-col-sm12 mt-10 contract_video_url bgxxDiv">
                            <label class="layui-form-label">合同视频：</label>
                            <div>
                                <div class="newContractVideoUrl">

                                </div>
                                <div class="upload-container" id="contractVideoUrlUp">
                                    <img src="" alt="img placeholder">
                                </div>
                            </div>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12 mt-10 yx_img bgxxDiv">
                            <label class="layui-form-label">并网照片：</label>
                            <div class="layui-input-block img-box">
                                <div>
                                    <div class="imgsDiv newBwzp">
                                    </div>
                                    <div class="upload-container moreUpload newBwzpUp <c:if test="${not empty report.yxImg}">hide</c:if>" data-title="yxImg" data-type="1">
                                        <img src="" alt="img placeholder">
                                    </div>
                                    <div style="width: 85px; text-align: center;">近三天发电量</div>
                                </div>
                                <div>
                                    <div class="imgsDiv newGebImg">
                                        <c:if test="${not empty report.gebImg}">
                                            <div class="bj-img imgSpan">
                                                <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>
                                                <img src="${commonStaticImgPath}${report.gebImg}" height="700" width="1200"/>
                                                <input type="hidden" name="gebImg" value="${report.gebImg}"/>
                                            </div>
                                        </c:if>
                                    </div>
                                    <div class="upload-container moreUpload newGebImgUp <c:if test="${not empty report.gebImg}">hide</c:if>" data-title="gebImg" data-type="1">
                                        <img src="" alt="img placeholder">
                                    </div>
                                    <div style="width: 92px; text-align: center;"><%--光e宝授权截图--%>补充1</div>
                                </div>
                                <div>
                                    <div class="imgsDiv newGebImg2">
                                        <c:if test="${not empty report.gebImg2}">
                                            <div class="bj-img imgSpan">
                                                <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>
                                                <img src="${commonStaticImgPath}${report.gebImg2}" height="700" width="1200"/>
                                                <input type="hidden" name="gebImg" value="${report.gebImg2}"/>
                                            </div>
                                        </c:if>
                                    </div>
                                    <div class="upload-container moreUpload newGebImg2Up <c:if test="${not empty report.gebImg2}">hide</c:if>" data-title="gebImg2" data-type="1">
                                        <img src="" alt="img placeholder">
                                    </div>
                                    <div style="width: 92px; text-align: center;"><%--光e宝授权截图--%>补充2</div>
                                </div>
                            </div>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12 mt-10 power_capacity_url bgxxDiv">
                            <label class="layui-form-label" style="width: 120px">三天发电量截图：</label>
                            <div class="layui-input-block img-box ml-120">
                                <div>
                                    <div class="imgsDiv newPowerCapacity">

                                    </div>
                                    <div class="upload-container moreUpload powerCapacityUrlUp" data-title="powerCapacityUrl" data-type="1">
                                        <img src="" alt="img placeholder">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12 mt-10 archives_img">
                            <label class="layui-form-label" style="width: 120px">南网营销系统档案截图（三户）：</label>
                            <div class="layui-input-block img-box ml-120">
                                <div>
                                    <div class="imgsDiv newArchivesImg">

                                    </div>
                                    <div class="upload-container moreUpload archivesImgUp" data-title="archivesImg" data-type="1">
                                        <img src="" alt="img placeholder">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12 mt-10 dbx_imgs bgxxDiv">
                            <label class="layui-form-label" style="width: 120px">电表箱照片：</label>
                            <div class="layui-input-block img-box ml-120">
                                <div>
                                    <div class="imgsDiv newDbxImgs">

                                    </div>
                                    <div class="upload-container moreUpload dbxImgsUp" data-title="dbxImgs" data-type="1">
                                        <img src="" alt="img placeholder">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="layui-col-lg12 layui-col-sm12 mt-10 tlzhjk_imgs bgxxDiv">
                            <label class="layui-form-label" style="width: 120px">铜铝转换接头照片：</label>
                            <div class="layui-input-block img-box ml-120">
                                <div>
                                    <div class="imgsDiv newTlzhjkImgs">

                                    </div>
                                    <div class="upload-container moreUpload tlzhjkImgsUp" data-title="tlzhjkImgs" data-type="1">
                                        <img src="" alt="img placeholder">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="layui-col-lg12 layui-col-sm12  bwts_file bgxxDiv">
                            <label class="layui-form-label" style="width: 120px">并网调试报告：</label>
                            <div class="layui-input-block pos-r ml-120" style="display: flex;align-items: center;margin-left: 0;">
                                <span class="h-32 lh-32 layui-span-unit" style="color:#2890ac;cursor: pointer">上传</span>
                                <input type="file" id="uploadReport" style="position: absolute; z-index: 3; opacity: 0; left: 0; width: 44px;"/>
                                <input type="hidden" id="bwtsFile" value="${insurance.bwtsFile}"/>
                                <span id="bwtsFileName" class="ml-15">${insurance.bwtsFilename}</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="layui-card-body hide" id="khxx">
            <div class="layui-tab layui-tab-brief" lay-filter="docDemoTabBrief">
                <ul class="layui-tab-title" id="changeTabId" lay-filter="changeTab" >
                    <li class="layui-this">客户信息</li>
                </ul>
                <div class="layui-tab-content">
                    <div class="layui-col-xs12">
                        <table class="layui-table" id="test" lay-filter="test">
                            <thead>
                            <tr>
                                <th width="30">选择</th>
                                <th width="30">序号</th>
                                <th width="80">数据项</th>
                                <th width="300">变更前信息</th>
                                <th width="300">变更后信息</th>
                                <th width="80">影响合同变更</th>
                            </tr>
                            </thead>
                            <tbody id="productParaListBody" >
                            <tr  class="openCard" data-value="1">
                                <td class="idx"><input type="checkbox" name="checkbox" lay-skin="primary" lay-filter="ifChecked" value="1"></td>
                                <td class="idx">1<input type="hidden" value="" class="setsort"></td>
                                <td class="">开户行</td>
                                <td class="tssBankNumName"></td>
                                <td class=""><div id="tssBank" class="hide"></div></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled ></td>
                            </tr>
                            <tr  class="bankCodeSet" data-value="1">
                                <td class="idx"><input type="checkbox" id="bankCodeCheck" lay-skin="primary" lay-filter="ifChecked" name="checkbox" value="1"></td>
                                <td class="idx">2<input type="hidden" value="" class="setsort"></td>
                                <td class="">银行账号</td>
                                <td class="bankCode"></td>
                                <td class=""><input id="bankCode"  class="layui-input hide" name="afterChange"></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled ></td>
                            </tr>
                            <tr  class="idCardImgSet" data-value="2">
                                <td class="idx"><input type="checkbox" name="checkbox" lay-skin="primary" lay-filter="ifChecked"></td>
                                <td class="idx">3<input type="hidden" value="2" class="setsort"></td>
                                <td class="">身份证</td>
                                <td class="idCardFront">
                                    <div class="img-box hide">
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="">
                                                <input hidden id="idCardFront">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                        </div>
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="">
                                                <input hidden id="idCardBack">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                        </div>
                                    </div>
                                </td>
                                <td class="">
                                    <div class="img-box hide">
                                        <div>
                                            <div class="imgsDiv">
                                                <c:if test="${not empty mapDetails.idCardFront.columns.after_change}">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>
                                                        <img src="${commonStaticImgPath}${mapDetails.idCardFront.columns.after_change}">
                                                        <input type="hidden" class="data-input" name="idCardFront" value="${mapDetails.idCardFront.columns.after_change}">
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container uploader1 <c:if test="${not empty mapDetails.idCardFront.columns.after_change}">hide</c:if>" data-type="1" data-title="idCardFront">
                                                <img src="" alt="img placeholder" id="imgsAdd1">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                        </div>
                                        <div>
                                            <div class="imgsDiv">
                                                <c:if test="${not empty mapDetails.idCardBack.columns.after_change}">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>
                                                        <img src="${commonStaticImgPath}${mapDetails.idCardBack.columns.after_change}">
                                                        <input type="hidden" class="data-input" name="idCardBack" value="${mapDetails.idCardBack.columns.after_change}">
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container moreUpload <c:if test="${not empty mapDetails.idCardBack.columns.after_change}">hide</c:if>" id="uploader2" data-type="1" data-title="idCardBack">
                                                <img src="" alt="img placeholder" id="imgsAdd2">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                        </div>
                                    </div>
                                </td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.idCardBack.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.idCardBack.columns.if_affect_contract}"></td>
                            </tr>
                            <tr  class="HouseOwnershipSet" data-value="2">
                                <td class="idx"><input type="checkbox" name="checkbox" lay-skin="primary" lay-filter="ifChecked"></td>
                                <td class="idx">4<input type="hidden" value="2" class="setsort"></td>
                                <td class="">房产证</td>
                                <td class="HouseOwnership">
                                    <div class="img-box hide">
                                        <div id="HouseOwnershipImg">
                                            <c:if test="${not empty mapDetails.HouseOwnership.columns.before_change}">
                                                <c:forEach items="${fn:split(mapDetails.HouseOwnership.columns.before_change,',')}" var="img">
                                                    <div class="bj-img imgSpan">
                                                        <img src="${commonStaticImgPath}${img}">
                                                        <input hidden name="HouseOwner" value="${img}">
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                    </div>
                                </td>
                                <td class="">
                                    <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                        <div class="imgsDiv">
                                            <c:if test="${not empty mapDetails.HouseOwnership.columns.after_change}">
                                                <c:forEach items="${fn:split(mapDetails.HouseOwnership.columns.after_change,',')}" var="img">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>
                                                        <img src="${commonStaticImgPath}${img}">
                                                        <input type="hidden" class="data-input" name="HouseOwnership" value="${img}">
                                                    </div>
                                                </c:forEach>
                                            </c:if>
                                        </div>
                                        <div class="upload-container moreUpload <c:if test="${fn:length(fn:split(mapDetails.HouseOwnership.columns.after_change,',')) eq 8 }">hide</c:if>" id="uploader9" data-type="8" data-title="HouseOwnership">
                                            <img src="" alt="img placeholder" id="imgsAdd9">
                                        </div>
                                    </div>
                                </td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled ><input hidden name="ifAffectContract" value=""></td>
                            </tr>
                            <tr class="bankCardSet" data-value="2">
                                <td class="idx"><input type="checkbox" name="checkbox" lay-skin="primary" lay-filter="ifChecked"></td>
                                <td class="idx">5<input type="hidden" value="2" class="setsort"></td>
                                <td class="">银行卡</td>
                                <td class="bankCard">
                                    <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${mapDetails.bankCard.columns.before_change}">
                                                <input hidden id="bankCard" value="${mapDetails.bankCard.columns.before_change}">
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td class="">
                                    <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                        <div class="imgsDiv">
                                            <c:if test="${not empty mapDetails.bankCard.columns.after_change}">
                                                <div class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>
                                                    <img src="${commonStaticImgPath}${mapDetails.bankCard.columns.after_change}">
                                                    <input type="hidden" class="data-input" name="bankCard" value="${mapDetails.bankCard.columns.after_change}">
                                                </div>
                                            </c:if>
                                        </div>
                                        <div class="upload-container <c:if test="${not empty mapDetails.bankCard.columns.after_change}">hide</c:if>" id="uploader8" data-type="1" data-title="bankCard">
                                            <img src="" alt="img placeholder" id="imgsAdd8">
                                        </div>
                                    </div>
                                </td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled ></td>
                            </tr>
                            <tr  class="addressSet" data-value="1">
                                <td class="idx"><input type="checkbox" name="checkbox" lay-skin="primary" lay-filter="ifChecked" value="1"></td>
                                <td class="idx">6<input type="hidden" value="" class="setsort"></td>
                                <td class="">安装地址</td>
                                <td class="oldAddress"></td>
                                <td class=""><div class="<c:if test="${empty mapDetails.bankCode.columns.if_change || '0' eq mapDetails.bankCode.columns.if_change}">hide</c:if>"><span id="proCit" style="float: left"></span><input id="azAddress"  class="layui-input " name="azAddress" value="${mapDetails.bankCode.columns.after_change}"></div></td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.bankCode.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.bankCode.columns.if_affect_contract}"></td>
                            </tr>
                            <tr  class="bpCardSet" data-value="2">
                                <td class="idx"><input type="checkbox" name="checkbox" lay-skin="primary" lay-filter="ifChecked" ></td>
                                <td class="idx">7<input type="hidden" value="2" class="setsort"></td>
                                <td class="">共签人身份证</td>
                                <td class="bpCardFront">
                                    <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${mapDetails.idCardFront.columns.before_change}">
                                                <input hidden id="bpCardFront" value="${mapDetails.idCardFront.columns.before_change}">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                        </div>
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${mapDetails.idCardBack.columns.before_change}">
                                                <input hidden id="bpCardBack" value="${mapDetails.idCardBack.columns.before_change}">
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                        </div>
                                    </div>
                                </td>
                                <td class="">
                                    <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                        <div>
                                            <div class="imgsDiv">
                                                <c:if test="${not empty mapDetails.idCardFront.columns.after_change}">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>
                                                        <img src="${commonStaticImgPath}${mapDetails.idCardFront.columns.after_change}">
                                                        <input type="hidden" class="data-input" name="bpCardFront" value="${mapDetails.idCardFront.columns.after_change}">
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container  uploader1 <c:if test="${not empty mapDetails.idCardFront.columns.after_change}">hide</c:if>"  data-type="1" data-title="bpCardFront">
                                                <img src="" alt="img placeholder"  >
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">正面</div>
                                        </div>
                                        <div>
                                            <div class="imgsDiv">
                                                <c:if test="${not empty mapDetails.idCardBack.columns.after_change}">
                                                    <div class="bj-img imgSpan">
                                                        <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>
                                                        <img src="${commonStaticImgPath}${mapDetails.idCardBack.columns.after_change}">
                                                        <input type="hidden" class="data-input" name="bpCardBack" value="${mapDetails.idCardBack.columns.after_change}">
                                                    </div>
                                                </c:if>
                                            </div>
                                            <div class="upload-container moreUpload <c:if test="${not empty mapDetails.idCardBack.columns.after_change}">hide</c:if>"   data-type="1" data-title="bpCardBack">
                                                <img src="" alt="img placeholder"  >
                                            </div>
                                            <div style="width: 80px; text-align: center; color: #FF0000">反面</div>
                                        </div>
                                    </div>
                                </td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled <c:if test="${'1' eq mapDetails.idCardBack.columns.if_affect_contract}">checked</c:if>><input hidden name="ifAffectContract" value="${mapDetails.idCardBack.columns.if_affect_contract}"></td>
                            </tr>

                            <tr class="bpFileSet" data-value="2">
                                <td class="idx"><input type="checkbox" name="checkbox" lay-skin="primary" lay-filter="ifChecked"></td>
                                <td class="idx">8<input type="hidden" value="2" class="setsort"></td>
                                <td class="">共签人子女证明</td>
                                <td class="bpFile">
                                    <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                        <div>
                                            <div class="bj-img imgSpan">
                                                <img src="${commonStaticImgPath}${mapDetails.bankCard.columns.before_change}">
                                                <input hidden id="bpFile" value="${mapDetails.bankCard.columns.before_change}">
                                            </div>
                                        </div>
                                    </div>
                                </td>
                                <td class="">
                                    <div class="img-box <c:if test="${empty changeRecord.columns.id}">hide</c:if>">
                                        <div class="imgsDiv">
                                            <c:if test="${not empty mapDetails.bankCard.columns.after_change}">
                                                <div class="bj-img imgSpan">
                                                    <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>
                                                    <img src="${commonStaticImgPath}${mapDetails.bankCard.columns.after_change}">
                                                    <input type="hidden" class="data-input" name="bpFile" value="${mapDetails.bankCard.columns.after_change}">
                                                </div>
                                            </c:if>
                                        </div>
                                        <div class="upload-container moreUpload <c:if test="${not empty mapDetails.bankCard.columns.after_change}">hide</c:if>"  data-type="1" data-title="bpFile">
                                            <img src="" alt="img placeholder" >
                                        </div>
                                    </div>
                                </td>
                                <td class=""><input type="checkbox" lay-skin="primary" disabled></td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>

        <div class="layui-card-body other_attachment bgxxDiv" style="margin-bottom: 60px">
            <div class="layui-tab layui-tab-brief" lay-filter="otherDe" id="otherDiv">
                <ul class="layui-tab-title" >
                    <li class="layui-this">资方审查补充资料</li>
                </ul>
                <div style="position: absolute; top: 15px; left: 150px">
                    <span class="h-32 lh-32 layui-span-unit" style="color:#2890ac;cursor: pointer">上传</span>
                    <input type="file" id="uploadFileOther" style="position: absolute; z-index: 3; opacity: 0; left: 0; width: 44px;"/>
                </div>

                <div class="layui-tab-content" style="display: flex;">
                    <div class="imgsDiv  otherAttaImg" style="width: 40%">
                        <%--<div class="bj-img imgSpan">
                            <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>
                            <img src="https://nhet-test.oss-cn-shanghai.aliyuncs.com/energy_img/jpeg/20240912/a5d906dd177e4fb7bfd18a8df6b99dd3/64585b84ef92442ea48302c17af68c2e.jpeg">
                        </div>--%>
                    </div>
                    <div class="otherAtta">
                        <%--<div class="layui-input-block pos-r" style="display: flex;align-items: center;">
                            <span style="color: red" class="layui-icon-close layui-icon" onclick="delFile(this)"></span>
                            <a style="color:#2890ac;cursor: pointer;" target="_blank"
                               onclick="previewUrl('https://nhet-test.oss-cn-shanghai.aliyuncs.com/energy_img/jpeg/20240912/0fc9d9d567b141ccbd7b4d04cde3ae43/a734c7051744031d642e491f5f19ddff_4403c.jpeg')"
                               class="download-link">a734c7051744031d642e491f5f19ddff_4403c.jpeg</a><input type="hidden"
                                name="contractFile" value="energy_img/jpeg/20240912/0fc9d9d567b141ccbd7b4d04cde3ae43/a734c7051744031d642e491f5f19ddff_4403c.jpeg">
                        </div>--%>
                    </div>

                </div>
            </div>
        </div>

    </div>
    <div class="operate-footer">
        <button type="button" class="layui-btn" id="subSave" >提交</button>
        <button type="button" class="layui-btn layui-btn-primary " onclick="closeDiv();" >取消</button>
    </div>
</div>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/layui.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/layui/data.js"></script>
<script src="${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/dist/viewer.js"></script>
<script src="${ctxPlugin}/lib/xm-select.js"></script>
<script src="${ctxPlugin}/lib/base64.js"></script>
<script type="text/javascript">
    var viewer = new Viewer(document.getElementById('LAY_app'));
    //初始数据
    var $form;
    var form;
    var $;
    var table;
    var firstApply='${firstApply}';
    var reg = /^(\d{2})(\d{4})(\d{4})(\d{2})(\d{2})\d{2}(\d)(\d|X)$/;
    var accountReg=/^[0-9]{9,19}$/;
    var tempFlg2=false;
    // 联行号
    var tssBankNum = '${tssBankNum}';
    // 银行名称
    var tssBankNumName = '${tssBankNumName}';
    var mergeInfoSet=[];
    var customerKey=['tss_bank_num_name','bank_code','id_card_front','id_card_back','house_ownership','bank_card','address','bp_card_front','bp_card_back','bp_file'];
    var indexyy;
    layui.config({
        base: '${ctxPlugin}/lib/layuiAdmin/dist/layuiadmin/' //静态资源所在路径
    }).extend({
        index: 'lib/index' //主入口模块
    }).use(['index', 'tableExt', 'jquery', 'layer','laydate', 'upload','form'], function(){
        $ = layui.jquery;
        form = layui.form;
        upload = layui.upload;
        laydate = layui.laydate;
        $form = $('form');
        tableExt = layui.tableExt;
        table = tableExt.getLayTable();

        form.on('select(bwInstitution)', function (data) {
            if (data.elem.value == 0) {
                $('.newDetail .power_plant_code').addClass('hide');
                $('.newDetail .province_code_hand').addClass('hide');
                $('.newDetail .archives_img').addClass('hide');
                $('.newDetail .province_code').removeClass('hide');
            } else if (data.elem.value == 1) {
                $('.newDetail .power_plant_code').removeClass('hide');
                $('.newDetail .province_code_hand').removeClass('hide');
                $('.newDetail .archives_img').removeClass('hide');
                $('.newDetail .province_code').addClass('hide');
            }
        });

        form.on('checkbox(ifChecked)', function(data){
            var elem = data.elem; // 获得 checkbox 原始 DOM 对象
            var checked = elem.checked; // 获得 checkbox 选中状态
            var value = elem.value; // 获得 checkbox 值
            var othis = data.othis; // 获得 checkbox 元素被替换后的 jQuery 对象
            if(checked){
                //判断是否有内容
                /* var co= $(othis).parents("tr").find("td:eq(3)").find(".imgSpan").length;
                 var dataValue= $(othis).parents("tr").attr("data-value");
                 if(co==0 && dataValue==2){
                     $(othis).prop("checked",false);
                     layer.msg("该项不需要变更!");
                     return;
                 }*/
                $(othis).parents("tr").find("td:eq(4)").find("div").removeClass("hide");
                $(othis).parents("tr").find("td:eq(4)").find("input").removeClass("hide");
                if('1'==value){
                    $(othis).parents("tr").find("td:eq(5)").find("input[type='checkbox']").prop("checked",true);
                }
                $(othis).parents("tr").find("#tssBank").removeClass("hide");
            }else{
                $(othis).parents("tr").find("td:eq(4)").find("div").addClass("hide");
                $(othis).parents("tr").find("td:eq(4)").find("input").val("");
                $(othis).parents("tr").find("td:eq(4)").find(".imgsDiv").html("");
                $(othis).parents("tr").find("td:eq(4)").find("input").addClass("hide");
                $(othis).parents("tr").find("td:eq(5)").find("input[type='checkbox']").prop("checked",false);
                $(othis).parents("tr").find("#tssBank").addClass("hide");
                $(othis).parents("tr").find("td:eq(4)").find(".moreUpload").show();
            }
            form.render();
        });

        form.on('radio(addressConsistent)', function (data) {
            var value = data.value;
            if ('N' == value) {
                $("#newGsddz").removeClass("hide");
            } else {
                $("#newGsddz").addClass("hide");
            }
        });

        $('#uploadReport').change(function () {
            var file = $(this)[0].files[0];
            if(isBlank(file)){
                return;
            }
            var formData = new FormData();
            formData.append("file", file);
            $.ajax({
                url: "${ctx}/common/uploadFile",
                type: 'POST',
                data: formData,
                processData: false,
                contentType: false,
                success: function (data) {
                    $("#bwtsFile").val(data.path);
                    $("#bwtsFileName").text(file.name);
                }
            });
        });


        $('#uploadFile').change(function () {
            var file = $(this)[0].files[0];
            if(isBlank(file)){
                return;
            }
            var formData = new FormData();
            formData.append("file", file);
            var len=$('.contractFilenameNew').find("input[name='contractFile']").length;
            if(len>=5){
                layer.msg("最多上传5个文件!", {icon: 2,time: 2500});
                return;
            }
            $.ajax({
                url: "${ctx}/common/uploadFile3",
                type: 'POST',
                data: formData,
                processData: false,
                contentType: false,
                success: function (data) {
                    let path = data.path;
                    let index = path.lastIndexOf('/');
                    let name = path.substring(index + 1);
                    var ht='';
                    ht +='<div class="layui-input-block pos-r" style="display: flex;align-items: center;">';
                    ht +='<span style="color: red" class="layui-icon-close layui-icon" onclick="delFile(this)"></span>';
                    ht+=`<a style="color:#2890ac;cursor: pointer;" target="_blank" onclick="previewUrl('${commonStaticImgPath}`+path+`')" class="download-link">`+name+`</a>`
                    ht+='<input type="hidden" name="contractFile" value="'+path+'"/>';
                    ht +='</div>';
                    $(".contractFilenameNew").append(ht);
                }
            });
        });


        $('#uploadFileOther').change(function () {
            var file = $(this)[0].files[0];
            if(isBlank(file)){
                return;
            }
            var formData = new FormData();
            formData.append("file", file);
            var len=$('.otherAtta').find("input[name='otherAttachment']").length;
            var len1=$('.otherAttaImg').find("input[name='otherAttachment']").length;
            if(len+len1>=10){
                layer.msg("最多上传10个文件!", {icon: 2,time: 2500});
                return;
            }
            $.ajax({
                url: "${ctx}/common/uploadFile3",
                type: 'POST',
                data: formData,
                processData: false,
                contentType: false,
                success: function (data) {
                    let extName=data.filename;
                    let path = data.path;
                    let name = data.filename;
                    var ht='';
                    if(extName.indexOf("jpg")>0 || extName.indexOf("jpeg")>0){  //图片
                        ht+='<div class="bj-img imgSpan">';
                        ht+=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                        ht += '<img src="${commonStaticImgPath}' + path + '">';
                        ht += '<input type="hidden" name="otherAttachment" value="' + path + '"/>';
                        ht+=' </div>';
                        $(".otherAttaImg").append(ht);
                    }else if(extName.indexOf("mp3")>0 || extName.indexOf("mp4")>0){  //视频
                        ht += '<div class="bj-img imgSpan">';
                        ht+=' <span class="layui-icon-close layui-icon" style="z-index: 1000" onclick="delMoreImg(this)"></span>';
                        ht+=' <video controls src="${commonStaticImgPath}'+path+'" height="80px" width="80px"></video>';
                        ht += '<input name="otherAttachment" class="hide" value="' + path + '">';
                        ht += '</div>';
                        $(".otherAttaImg").append(ht);
                    }else{
                        ht +='<div class="layui-input-block pos-r" style="display: flex;align-items: center;">';
                        ht +='<span style="color: red" class="layui-icon-close layui-icon" onclick="delFile(this)"></span>';
                        ht+=`<a style="color:#2890ac;cursor: pointer;" target="_blank" onclick="previewUrl('${commonStaticImgPath}`+path+`')" class="download-link">`+name+`</a>`
                        ht+='<input type="hidden" name="otherAttachment" value="'+path+'"/>';
                        ht +='</div>';
                        $(".otherAtta").append(ht);
                    }

                }
            });
        });

        upload.render({
            elem: '#uploader8' //绑定元素
            , url: '${ctx}/common/updateImgBankCard' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                var obj=JSON.parse(res.info);
                if(isBlank(obj.data) ||isBlank(obj.data.cardNumber)){
                    layer.msg("银行卡号未识别成功,请重新添加!", {icon: 2,time: 2500});
                    return;
                }
                var cardNumber=obj.data.cardNumber;
                var lrCardNumber=$("#bankCode").val();
                if(isBlank(lrCardNumber)){
                    lrCardNumber=$(".bankCode").text();
                }
                if(cardNumber !=lrCardNumber){
                    $("#bankCode").val(cardNumber);
                    $("#bankCode").removeClass("hide");
                    $("#bankCodeCheck").prop("checked",true);
                    form.render();
                }

                var titleName = $(this.item).attr("data-title");
                var html='';
                html+='<div class="bj-img imgSpan">';
                html+=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                html += '<img src="${commonStaticImgPath}' + res.path + '">';
                html += '<input type="hidden" class="data-input" name="' + titleName + '" value="' + res.path + '"/>';
                html+='</div>';
                $(this.item).prev(".imgsDiv").append(html);
                $(this.item).hide();
                viewer.update();

            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '.moreUpload' //绑定元素
            , url: '${ctx}/common/uploadFile' //上传接口
            ,before: function(obj){
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res, index, upload) {
                var titleName = $(this.item).attr("data-title");
                var html='';
                html+='<div class="bj-img imgSpan">';
                html+=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                html += '<img src="${commonStaticImgPath}' + res.path + '">';
                html += '<input type="hidden" class="data-input" name="' + titleName + '" value="' + res.path + '"/>';
                html+='</div>';
                $(this.item).prev(".imgsDiv").append(html);
                var maxNum = $(this.item).attr("data-type");
                if ($(this.item).prev(".imgsDiv").find(".imgSpan").length == maxNum) {
                    $(this.item).hide();
                }
                viewer.update();
            }
            , error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#uploadFilingDocumentPhoto',
            url: '${ctx}/common/uploadFile3',
            accept: 'file',
            before: function (obj) {

            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $("#imgsDiv1").find(".filingDocumentPhoto").length;
                if ((imgCount + 1) >= 4) {
                    $("#uploadFilingDocumentPhoto").hide();
                }
                let html = '<div><span style="color: red" class="layui-icon-close layui-icon" onclick="delImg(this,\'uploadFilingDocumentPhoto\')"></span>';
                html += '<a style="color:#2890ac;" href="${commonStaticImgPath}' + path + '" download="' + path + '" class="download-link">' + name + '</a>';
                html += '<input type="hidden" name="filingDocumentPhoto" class="filingDocumentPhoto" value="' + path + '"/> </div>';
                $("#imgsDiv1").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

        upload.render({
            elem: '#contractVideoUrlUp',
            url: '${ctx}/common/uploadFile',
            accept: 'video',
            before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            },
            done: function (res) {
                //上传完毕回调
                let path = res.path;
                let index = path.lastIndexOf('/');
                let name = path.substring(index + 1);
                let imgCount = $(".newContractVideoUrl").find(".contractVideoUrl").length;
                if ((imgCount + 1) >= 5) {
                    $("#contractVideoUrlUp").hide();
                }
                var html = '<div class="bj-img imgSpan"><span class="layui-icon-close layui-icon" onclick="delVideoImg(this)"></span>';
                html += ' <video controls width="80px" height="80px" src="${commonStaticImgPath}' + path + '"></video>';
                html += '<input type="hidden" name="contractVideoUrl" class="contractVideoUrl" value="' + path + '"/> </div>';
                $(".newContractVideoUrl").append(html);
            },
            error: function () {
                //请求异常回调
            }
        });

        var tssBankXm = xmSelect.render({
            el: '#tssBank',
            name: 'tssBank',
            radio: true,
            tips: '请输入查询',
            size: 'mini',
            style: {
                height: '30px',
            },
            paging: true,
            pageSize: 6,
            data: initBankData,
            clickClose: true,
            filterable: true,
            remoteSearch: true,
            remoteMethod: function (val, cb, show) {
                searchVal(val, cb, {
                    name: val,
                    partner:$("#partnerId").val()
                }, 'name');
            },
            on: function (data) {
                if (data.isAdd && data.arr.length > 0) {
                    appendTr(data);
                }
            }
        });

        //执行实例
        upload.render({
            elem: '.uploader1' //绑定元素
            , url: '${ctx}/common/weChat/uploadImageIden' //上传接口
            , before: function (obj) {
                //预读本地文件示例，不支持ie8
                obj.preview(function (index, file, result) {
                });
            }
            , done: function (res) {
                var obj =  JSON.parse(res.info)
                if (obj.code ==='500'){
                    layer.msg("身份信息上传失败,请确认后重试", {icon: 2,time: 2500});
                    return
                }
                var titleName = $(this.item).attr("data-title");
                var data = obj.data.face.data;
                var idCode=data.idNumber;
                var oldIdCode=$("#ddIdCode").val();
                if('idCardFront' ==titleName && oldIdCode != idCode){
                    layer.msg("身份证信息改变，不能上传！", {icon: 2,time: 2500});
                    return;
                }
                var html='';
                html+='<div class="bj-img imgSpan">';
                html+=' <span class="layui-icon-close layui-icon" onclick="delMoreImg2(this)"></span>';
                html += '<img src="${commonStaticImgPath}' + res.path + '">';
                html += '<input type="hidden" class="data-input" name="' + titleName + '" value="' + res.path + '"/>';
                html+='</div>';
                $(this.item).prev(".imgsDiv").append(html);
                $(this.item).hide();
                viewer.update();
            }
            , error: function () {
                //请求异常回调
            }
        });

        form.on('select(province)', function (data) {
            var province = $(data.elem).find("option:selected").attr("title");
            provinceOrder(province,'');
        });
        form.on('select(city)', function (data) {
            var city = $(data.elem).find("option:selected").attr("title");
            cityOrder(city,'');

        });


        //提交
        $("#subSave").click(function (){
            if(tempFlg2){
                return;
            }
            var entryId = $("#entryId").val();
            var powerStationCode=$('input[name="stationCode"]').val();
            var entryStatus=$('input[name="entryStatus"]').val();

            if (isBlank(entryId)) {
                layer.msg("请选择电站！");
                return;
            }

            var generatorNo=$("#generatorNo").val();
            var provinceCode=$("#provinceCode").val();
            var addressConsistent=$("input[name='addressConsistent']:checked").val();
            /*if(isBlank(generatorNo)){
                layer.msg("发电户号不能为空！");
                return;
            }*/
            /*if(isBlank(provinceCode)){
                layer.msg("电力公司不能为空！");
                return;
            }*/
            var electricProvince=$("#province").val();
            var electricCity=$("#city").val();
            var electricArea=$("#area").val();
            var electricAddress=$("#address").val();
            /*if (addressConsistent === 'N') {
                if (isBlank(electricProvince) || isBlank(electricCity) || isBlank(electricArea) || isBlank(electricAddress)) {
                    layer.msg("购售电地址不能为空！");
                    return;
                }
            }*/
            var yxImg=$("input[name='yxImg']").val();
            //补充信息1
            var gebImg=$("input[name='gebImg']").val();
            /*if(isBlank(yxImg)){
                layer.msg("近三天发电量照片不能为空！");
                return;
            }*/
            //补充信息2
            var gebImg2=$("input[name='gebImg2']").val();
            var dbImgs=$("input[name='dbImgs']").val();
            var reason = $("input[name='reason']").val();

            //购售电合同
            var contract=[];
            $("input[name='contractFile']").each(function () {
                contract.push($(this).val());
            });

            var bwtsFile=$("#bwtsFile").val();
            var bwtsFileName=$("#bwtsFileName").text();

            //南网营销系统档案截图
            var archivesImg=$("input[name='archivesImg']").val();
            //购售电合同视频
            var contractVideoUrl=[];
            $("input[name='contractVideoUrl']").each(function () {
                contractVideoUrl.push($(this).val());
            });
            //电表箱照片
            var dbxImgs=$("input[name='dbxImgs']").val();
            //铜铝转换接头照片
            var tlzhjkImgs=$("input[name='tlzhjkImgs']").val();
            /* 三天发电量截图*/
            var powerCapacityUrl=$("input[name='powerCapacityUrl']").val();

            //并网机构
            var gridInstitution=$("#gridInstitution").val();
            var powerPlantCode='';
            var provinceCodeHand=''; //南网电力公司
            var provinceCode='';  //国网电力公司
            if('1'==gridInstitution){   //南网
                //电厂编码
                powerPlantCode=$("#powerPlantCode").val();
                provinceCodeHand=$("#provinceCodeHand").val();

                if(isBlank(powerPlantCode) && mergeInfoSet.indexOf("power_plant_code")!= -1){
                    layer.msg("电厂编码不能为空!");
                    return;
                }
                if(isBlank(provinceCodeHand) && mergeInfoSet.indexOf("province_code")!= -1){
                    layer.msg("电力公司不能为空!");
                    return;
                }

                if(isBlank(archivesImg) && mergeInfoSet.indexOf("archives_img") !=-1){
                    layer.msg("南网营销系统档案截图不能为空!");
                    return;
                }

            }else{  //国网
                provinceCode=$("#provinceCode").val();

                if(isBlank(provinceCode) && mergeInfoSet.indexOf("province_code") >0){
                    layer.msg("电力公司不能为空!");
                    return;
                }
            }
            if(isBlank(gridInstitution) && mergeInfoSet.indexOf("grid_institution") >0){
                layer.msg("并网机构不能为空!");
                return;
            }

            if(isBlank(generatorNo) && mergeInfoSet.indexOf("generator_no")>0){
                layer.msg("发电户号不能为空!");
                return;
            }

            if(isBlank(addressConsistent) && mergeInfoSet.indexOf("address_consistent")>0){
                layer.msg("购售电地址是否一致不能为空!");
                return;
            }
            if("N"==addressConsistent && mergeInfoSet.indexOf("address_consistent")>0){
                if(isBlank(electricProvince) || isBlank(electricCity) || isBlank(electricArea) || isBlank(electricAddress)){
                    layer.msg("购售电地址信息不能为空!");
                    return;
                }
            }

            if(isBlank(dbImgs) && mergeInfoSet.indexOf("db_imgs")>0){
                layer.msg("电表照片不能为空!");
                return;
            }


            if(contract.length==0 && rgeInfoSet.indexOf("contract")>0){
                layer.msg("购售电合同不能为空!");
                return;
            }

            if(contractVideoUrl.length==0 && mergeInfoSet.indexOf("contract_video_url")>0){
                layer.msg("购售电合同视频不能为空!");
                return;
            }
            if(isBlank(yxImg) && mergeInfoSet.indexOf("yx_img")>0){
                layer.msg("近三天发电量不能为空!");
                return;
            }

            if(isBlank(gebImg) && mergeInfoSet.indexOf("geb_img")>0){
                layer.msg("补充1不能为空!");
                return;
            }


            if(isBlank(bwtsFile) && mergeInfoSet.indexOf("bwts_file")>0){
                layer.msg("并网调试报告不能为空!");
                return;
            }

            if(isBlank(dbxImgs) && mergeInfoSet.indexOf("dbx_imgs")>0){
                layer.msg("电表箱照片不能为空!");
                return;
            }

            if(isBlank(powerCapacityUrl) && mergeInfoSet.indexOf("power_capacity_url")>0){
                layer.msg("三天发电量截图不能为空!");
                return;
            }

            var confirmFg=false;
            /*
             var ifChange1=$(".openCard").find("td:eq(0)").find("input[name='checkbox']").prop("checked");
             var tssBankNumqq;
             var tssBankNumNameqq;
             if(ifChange1){
                 tssBankNumqq=tssBankNum;
                 tssBankNumNameqq=tssBankNumName;
                if(isBlank(tssBankNumqq)){
                    layer.msg("没有录入变更后开户行信息。");
                    return;
                }
                 confirmFg=true;
             }
             var ifChange2=$(".bankCodeSet").find("td:eq(0)").find("input[name='checkbox']").prop("checked");
                var bankCode;
             if(ifChange2){
                 bankCode=$("#bankCode").val();
                 if(isBlank(bankCode)){
                     layer.msg("没有录入变更后银行账号信息。");
                     return;
                 }
                 if (!isBlank(bankCode) && !accountReg.test(bankCode)) {
                     layer.msg("银行账号格式不正确",{icon:2});
                     return;
                 }
                 confirmFg=true;
             }

             var ifChange3=$(".idCardImgSet").find("td:eq(0)").find("input[name='checkbox']").prop("checked");
             var idCardFront;
             var idCardBack;
             if(ifChange3){
                 idCardFront=$('input[name="idCardFront"]').val();
                 idCardBack=$('input[name="idCardBack"]').val();
                 if(isBlank(idCardFront) && isBlank(idCardBack)){
                     layer.msg("没有录入变更后身份证信息。");
                     return;
                 }
             }

             var ifChange4=$(".HouseOwnershipSet").find("td:eq(0)").find("input[name='checkbox']").prop("checked");
             var houseOwnership;
             if(ifChange4){
                 var HouseOwnership = [];
                 $("input[name='HouseOwnership']").each(function(){
                     HouseOwnership.push($(this).val());
                 })
                 houseOwnership=HouseOwnership.join(",");
                 if(isBlank(houseOwnership)){
                     layer.msg("没有录入变更后房产证信息。");
                     return;
                 }
             }

             var ifChange5=$(".bankCardSet").find("td:eq(0)").find("input[name='checkbox']").prop("checked");
             var bankCard;
             if(ifChange5){
                bankCard=$('input[name="bankCard"]').val();
                 if(isBlank(bankCard)){
                     layer.msg("没有录入变更后银行卡信息。");
                     return;
                 }
             }

             var ifChange6=$(".addressSet").find("td:eq(0)").find("input[name='checkbox']").prop("checked");
             var address;
             if(ifChange6){
                 address=$('input[name="azAddress"]').val();
                 if(isBlank(address)){
                     layer.msg("没有录入变更后安装地址信息。");
                     return;
                 }
                 confirmFg=true;
             }

             var ifChange7=$(".bpCardSet").find("td:eq(0)").find("input[name='checkbox']").prop("checked");
             var bpCardFront;
             var bpCardBack;
             if(ifChange7){
                 bpCardFront=$('input[name="bpCardFront"]').val();
                 bpCardBack=$('input[name="bpCardBack"]').val();
                 if(isBlank(bpCardFront) && isBlank(bpCardBack)){
                     layer.msg("没有录入变更后共签人身份证信息。");
                     return;
                 }
             }

             var ifChange8=$(".bpFileSet").find("td:eq(0)").find("input[name='checkbox']").prop("checked");
             var bpFile;
             if(ifChange8){
                 bpFile=$('input[name="bpFile"]').val();
                 if(isBlank(bpFile)){
                     layer.msg("没有录入变更后共签人子女证明信息。");
                     return;
                 }
             }*/

            var otherAttachment="";
            var otherAttachmentArr = [];
            $("input[name='otherAttachment']").each(function(){
                otherAttachmentArr.push($(this).val());
            })
            otherAttachment=otherAttachmentArr.join(",");
            var dataStr=JSON.stringify(
                {entryId: entryId,
                    powerStationCode:powerStationCode,
                    generatorNo:generatorNo,
                    provinceCode:provinceCode,
                    addressConsistent:addressConsistent,
                    electricProvince:electricProvince,
                    electricCity:electricCity,
                    electricArea:electricArea,
                    electricAddress:electricAddress,
                    yxImg:yxImg,
                    gebImg:gebImg,

                    /*  tssBankNum:tssBankNumqq,
                      tssBankNumName:tssBankNumNameqq,
                      bankCode:bankCode,
                      idCardFront:idCardFront,
                      idCardBack:idCardBack,
                      houseOwnership:houseOwnership,
                      bankCard:bankCard,
                      address:address,
                      bpCardFront:bpCardFront,
                      bpCardBack:bpCardBack,
                      bpFile:bpFile,*/

                    otherAttachment:otherAttachment,
                    reason: reason,
                    entryStatus:entryStatus
                    ,dbImgs:dbImgs
                    ,contract:contract.join(",")
                    ,bwtsFile:bwtsFile
                    ,bwtsFilename:bwtsFileName

                    ,gebImg2:gebImg2
                    ,archivesImg:archivesImg
                    ,contractVideoUrl:contractVideoUrl.join(",")
                    ,dbxImgs:dbxImgs
                    ,powerCapacityUrl:powerCapacityUrl
                    ,gridInstitution:gridInstitution
                    ,powerPlantCode:powerPlantCode
                    ,provinceCodeHand:provinceCodeHand
                    ,provinceCode:provinceCode
                    ,tlzhjkImgs:tlzhjkImgs
                }
            )
            if(confirmFg){
                layer.confirm('修改的内容可能会引起合同重签，是否确认提交变更？', {
                    icon: 3,
                    btn: ['确定', '取消'] //按钮
                }, function () {
                    saveChange(dataStr);
                });
            }else{
                saveChange(dataStr);
            }



        })

    })

    window.closeSelf = function () {
        var index = parent.layer.getFrameIndex(window.name);
        parent.layer.close(index);//关闭当前页
    }

    function saveChange(dataStr){
        indexyy= layer.load(2, {shade: [0.5,'#fff'], content:''});
        tempFlg2=true;
        $.ajax({
            type: 'post',
            url: '${ctx}/onGridInfo/change/addChangeRecord',
            contentType: 'application/json',
            dataType: 'json',
            data:dataStr,
            success: function(data){
                if (data.code == "200") {
                    top.layer.msg("操作成功");
                    closeSelf();
                    parent.location.reload();
                    tempFlg2 = false;
                }else {
                    tempFlg2 = false;
                    layer.msg(data.errMsg);
                }
            },
            complete: function(){
                layer.close(indexyy);
            }
        });
    }

    function  closeDiv() {
        var index = parent.layer.getFrameIndex(window.name); //先得到当前iframe层的索引
        parent.layer.close(index);
    }

    function searchCode(stationCode){
        if (isBlank(stationCode)) {
            return;
        }
        $("input[name='stationCode']").val(stationCode);
        $.ajax({
            type: 'post',
            url: '${ctx}/completion/change/selectNumber/' + stationCode,
            dataType: 'json',
            data: {
                stationCode: stationCode
            },
            success: function(res){
                if (res.code == "200") {

                    var customerEntry = res.data.customerEntry;
                    $("#partnerId").val(customerEntry.partnerId);
                    var report = res.data.report;
                    var project = res.data.project;
                    var surveyRecord=res.data.surveyRecord;
                    var insurances=res.data.insurances;
                    var formSetMerge=res.data.formSetMerge;
                    mergeInfoSet=res.data.mergeInfoSet;
                    if("08"==customerEntry.partnerId){
                        $("#khxx").removeClass("hide");
                    }else{
                        $("#khxx").addClass("hide");
                    }
                    if("01"==customerEntry.partnerId){
                        $("#otherDiv").show();
                    }else{
                        $("#otherDiv").hide();
                    }
                    if("04"==customerEntry.partnerId){
                        $(".contract_video_url").hide();
                    }else{
                        $(".contract_video_url").show();
                    }

                    //客户信息
                    $("#entryId").val(customerEntry.id);
                    $("input[name='entryStatus']").val(getStatus(customerEntry));
                    $("input[name='traderName']").val(customerEntry.createTraderName);
                    $("input[name='projectName']").val(project.name);
                    $("input[name='projectCompanyName']").val(customerEntry.projectCompanyName);
                    $("input[name='tenantName']").val(customerEntry.tenantName);
                    $("input[name='idCode']").val(customerEntry.idCode);
                    $("input[name='address']").val(customerEntry.province + customerEntry.city + customerEntry.area + customerEntry.address);
                    $(".tenantName").text(customerEntry.tenantName);
                    $(".idCode").text(customerEntry.idCode);
                    $("input[name='partnerName']").val(customerEntry.partnerName);
                    //并网信息
                    $("#oldGeneratorNo").val(customerEntry.generatorNo);
                    $("#generatorNo").val(customerEntry.generatorNo);
                    $("#oldPowerCompany").val(res.data.powerCompany);
                    $("#oldProvinceCodeHand").val(customerEntry.provinceCodeHand);

                    $("#oldEleProvince").val(customerEntry.electricProvince);
                    $("#oldEleCity").val(customerEntry.electricCity);
                    $("#oldEleArea").val(customerEntry.electricArea);
                    $("#oldEleAddress").val(customerEntry.electricAddress);

                    $("#province").val(customerEntry.electricProvince);
                    provinceOrder(customerEntry.electricProvince,customerEntry.electricCity);
                    cityOrder(customerEntry.electricCity,customerEntry.electricArea);

                    $("#address").val(customerEntry.electricAddress);
                    if('Y'==customerEntry.addressConsistent){
                        $("#oldAddressConsistentY").attr('checked','checked');
                        $("#newAddressConsistentY").attr('checked','checked');
                        $("#oldGsddz").addClass("hide");
                        $("#newGsddz").addClass("hide");
                    }else{
                        $("#oldAddressConsistentN").attr('checked','checked');
                        $("#newAddressConsistentN").attr('checked','checked');
                        $("#oldGsddz").removeClass("hide");
                        $("#newGsddz").removeClass("hide");
                    }
                    if(!isBlank(customerEntry.gridInstitution)){
                        if("0"==customerEntry.gridInstitution){
                            $("#gridInstitutionOld").val("国网");
                            $("#provinceCode").val(customerEntry.provinceCode);

                        }else{
                            $("#gridInstitutionOld").val("南网");
                            $("#provinceCodeHand").val(customerEntry.provinceCodeHand);
                        }
                        $("#gridInstitution").val(customerEntry.gridInstitution);

                    }
                    if(!isBlank(customerEntry.powerPlantCode)){
                        $("#powerPlantCode").val(customerEntry.powerPlantCode);
                        $("#powerPlantCodeOld").val(customerEntry.powerPlantCode);
                    }

                    /* 并网照片*/
                    if(!isBlank(report.yxImg)){
                        var htmlyx='<img src="${commonStaticImgPath}'+report.yxImg+'" height="700" width="1200"/>';
                        htmlyx+='<input type="hidden" value="'+report.yxImg+'"/>';
                        $(".bwzp").html(htmlyx);
                        var newHtmlyx='<div class="bj-img imgSpan">';
                        newHtmlyx+='<span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                        newHtmlyx+='<img src="${commonStaticImgPath}'+report.yxImg+'" height="700" width="1200"/>';
                        newHtmlyx+='<input type="hidden" name="yxImg" value="'+report.yxImg+'"/>'
                        newHtmlyx+='</div>';
                        $(".newBwzp").html(newHtmlyx);
                        $(".newBwzpUp").addClass("hide");
                    }

                    if(!isBlank(report.gebImg)){
                        var htmlyx='<img src="${commonStaticImgPath}'+report.gebImg+'" height="700" width="1200"/>';
                        htmlyx+='<input type="hidden" value="'+report.gebImg+'"/>';
                        $(".gebImg").html(htmlyx);
                        var newHtmlyx='<div class="bj-img imgSpan">';
                        newHtmlyx+='<span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                        newHtmlyx+='<img src="${commonStaticImgPath}'+report.gebImg+'" height="700" width="1200"/>';
                        newHtmlyx+='<input type="hidden" name="gebImg" value="'+report.gebImg+'"/>'
                        newHtmlyx+='</div>';
                        $(".newGebImg").html(newHtmlyx);
                        $(".newGebImgUp").addClass("hide");
                    }
                    if(!isBlank(report.gebImg2)){
                        var htmlyx='<img src="${commonStaticImgPath}'+report.gebImg2+'" height="700" width="1200"/>';
                        htmlyx+='<input type="hidden" value="'+report.gebImg2+'"/>';
                        $(".gebImg2").html(htmlyx);
                        var newHtmlyx='<div class="bj-img imgSpan">';
                        newHtmlyx+='<span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                        newHtmlyx+='<img src="${commonStaticImgPath}'+report.gebImg2+'" height="700" width="1200"/>';
                        newHtmlyx+='<input type="hidden" name="gebImg2" value="'+report.gebImg2+'"/>'
                        newHtmlyx+='</div>';
                        $(".newGebImg2").html(newHtmlyx);
                        $(".newGebImg2Up").addClass("hide");
                    }
                    /* 电表箱照片*/
                    if(!isBlank(report.dbxImgs)){
                        var htmlyx='<img src="${commonStaticImgPath}'+report.dbxImgs+'" height="700" width="1200"/>';
                        htmlyx+='<input type="hidden" value="'+report.dbxImgs+'"/>';
                        $(".dbxDmgsImg").html(htmlyx);
                        var newHtmlyx='<div class="bj-img imgSpan">';
                        newHtmlyx+='<span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                        newHtmlyx+='<img src="${commonStaticImgPath}'+report.dbxImgs+'" height="700" width="1200"/>';
                        newHtmlyx+='<input type="hidden" name="dbxImgs" value="'+report.dbxImgs+'"/>'
                        newHtmlyx+='</div>';
                        $(".newDbxImgs").html(newHtmlyx);
                        $(".newBdxImgsUp").addClass("hide");
                        $(".dbxImgsUp").addClass("hide");
                    }
                    /* 铜铝转换接头照片*/
                    if(!isBlank(report.tlzhjkImgs)){
                        var htmlyx='<img src="${commonStaticImgPath}'+report.tlzhjkImgs+'" height="700" width="1200"/>';
                        htmlyx+='<input type="hidden" value="'+report.tlzhjkImgs+'"/>';
                        $(".tlzhjkImgs").html(htmlyx);
                        var newHtmlyx='<div class="bj-img imgSpan">';
                        newHtmlyx+='<span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                        newHtmlyx+='<img src="${commonStaticImgPath}'+report.tlzhjkImgs+'" height="700" width="1200"/>';
                        newHtmlyx+='<input type="hidden" name="tlzhjkImgs" value="'+report.tlzhjkImgs+'"/>'
                        newHtmlyx+='</div>';
                        $(".newTlzhjkImgs").html(newHtmlyx);
                        $(".tlzhjkImgsUp").addClass("hide");
                    }


                    /* 三天发电量截图*/
                    if(!isBlank(report.powerCapacityUrl)){
                        var htmlyx='<img src="${commonStaticImgPath}'+report.powerCapacityUrl+'" height="700" width="1200"/>';
                        htmlyx+='<input type="hidden" value="'+report.powerCapacityUrl+'"/>';
                        $(".powerCapacityImg").html(htmlyx);
                        var newHtmlyx='<div class="bj-img imgSpan">';
                        newHtmlyx+='<span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                        newHtmlyx+='<img src="${commonStaticImgPath}'+report.powerCapacityUrl+'" height="700" width="1200"/>';
                        newHtmlyx+='<input type="hidden" name="powerCapacityUrl" value="'+report.powerCapacityUrl+'"/>'
                        newHtmlyx+='</div>';
                        $(".newPowerCapacity").html(newHtmlyx);
                        $(".powerCapacityUrlUp").addClass("hide");
                    }

                    /*南网营销系统档案截图（三户）*/
                    if(!isBlank(report.archivesImg)){
                        var htmlyx='<img src="${commonStaticImgPath}'+report.archivesImg+'" height="700" width="1200"/>';
                        htmlyx+='<input type="hidden" value="'+report.archivesImg+'"/>';
                        $(".archivesImgImg").html(htmlyx);
                        var newHtmlyx='<div class="bj-img imgSpan">';
                        newHtmlyx+='<span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                        newHtmlyx+='<img src="${commonStaticImgPath}'+report.archivesImg+'" height="700" width="1200"/>';
                        newHtmlyx+='<input type="hidden" name="archivesImg" value="'+report.archivesImg+'"/>'
                        newHtmlyx+='</div>';
                        $(".newArchivesImg").html(newHtmlyx);
                        $(".archivesImgUp").addClass("hide");
                    }


                    /* 电表照片*/
                    if(!isBlank(report.dbImgs)){
                        var htmlyx='<img src="${commonStaticImgPath}'+report.dbImgs+'" height="700" width="1200"/>';
                        htmlyx+='<input type="hidden" value="'+report.dbImgs+'"/>';
                        $(".dbImgs").html(htmlyx);
                        var newHtmlyx='<div class="bj-img imgSpan">';
                        newHtmlyx+='<span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                        newHtmlyx+='<img src="${commonStaticImgPath}'+report.dbImgs+'" height="700" width="1200"/>';
                        newHtmlyx+='<input type="hidden" name="dbImgs" value="'+report.dbImgs+'"/>'
                        newHtmlyx+='</div>';
                        $(".newBdImgs").html(newHtmlyx);
                        $(".newBdImgsUp").addClass("hide");
                    }
                    //购售电合同
                    if(!isBlank(customerEntry.contract)){
                        var imgsArr = customerEntry.contract.split(",");
                        var html='';
                        var ht='';
                        for (var i = 0; i < imgsArr.length; i++) {
                            var fileName = imgsArr[i].substring(imgsArr[i].lastIndexOf("/") + 1, imgsArr[i].length);
                            html +='<div class="layui-input-block pos-r" style="display: flex;align-items: center;">';
                            html+=`<a style="color:#2890ac;cursor: pointer;" target="_blank" onclick="previewUrl('${commonStaticImgPath}`+imgsArr[i]+`')" class="download-link">`+fileName+`</a>`
                            html +='</div>';

                            ht +='<div class="layui-input-block pos-r" style="display: flex;align-items: center;">';
                            ht +='<span style="color: red" class="layui-icon-close layui-icon" onclick="delFile(this)"></span>';
                            ht+=`<a style="color:#2890ac;cursor: pointer;" target="_blank" onclick="previewUrl('${commonStaticImgPath}`+imgsArr[i]+`')" class="download-link">`+fileName+`</a>`
                            ht+='<input type="hidden" name="contractFile" value="'+imgsArr[i]+'"/>';
                            ht +='</div>';
                        }
                        $("#yshk").removeClass("csDD").addClass("ttDD");
                        $(".contractFilenameOld").html(html);
                        $(".contractFilenameNew").html(ht);
                    }

                    //合同视频

                        if(!isBlank(customerEntry.contractVideoUrl)){
                            var imgsArr = customerEntry.contractVideoUrl.split(",");
                            var html='';
                            var h2='';
                            for (var i = 0; i < imgsArr.length; i++) {
                                html += '<div class="bj-img imgSpan">';
                                html +=' <video controls="" src="${commonStaticImgPath}'+imgsArr[i]+'" width="80px" height="80px"></video>';
                                html += '</div>';

                                h2 += '<div class="bj-img imgSpan">';
                                h2+=' <span class="layui-icon-close layui-icon" style="z-index: 10000" onclick="delVideoImg(this)"></span>';
                                h2+=' <video controls src="${commonStaticImgPath}'+imgsArr[i]+'" height="80px" width="80px"></video>';
                                h2 += '<input name="contractVideoUrl" class="hide" value="' + imgsArr[i] + '">';
                                h2 += '</div>';
                            }
                            $(".contractVideoUrlOld").html(html);
                            $(".newContractVideoUrl").html(h2);
                            if (imgsArr.length >= 5) {
                                $("#contractVideoUrlUp").hide();
                            }
                        }


                    //补充资料
                    if(!isBlank(customerEntry.otherAttachment)){
                        var imgsArr = customerEntry.otherAttachment.split(",");
                        var ht='';
                        var html='';
                        for (var i = 0; i < imgsArr.length; i++) {
                            var fileName = imgsArr[i].substring(imgsArr[i].lastIndexOf("/") + 1, imgsArr[i].length);
                            if(fileName.indexOf("jpg")>0 || fileName.indexOf("jpeg")>0){  //图片
                                html+='<div class="bj-img imgSpan">';
                                html+=' <span class="layui-icon-close layui-icon" onclick="delMoreImg(this)"></span>';
                                html += '<img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                                html += '<input type="hidden" name="otherAttachment" value="' + imgsArr[i] + '"/>';
                                html+=' </div>';
                            }else if(fileName.indexOf("mp3")>0 || fileName.indexOf("mp4")>0){  //视频
                                html += '<div class="bj-img imgSpan">';
                                html+=' <span class="layui-icon-close layui-icon" style="z-index: 1000" onclick="delMoreImg(this)"></span>';
                                html+=' <video controls src="${commonStaticImgPath}'+imgsArr[i]+'" height="80px" width="80px"></video>';
                                html += '<input name="otherAttachment" class="hide" value="' + imgsArr[i] + '">';
                                html += '</div>';
                            }else {
                                ht +='<div class="layui-input-block pos-r" style="display: flex;align-items: center;">';
                                ht +='<span style="color: red" class="layui-icon-close layui-icon" onclick="delFile(this)"></span>';
                                ht+=`<a style="color:#2890ac;cursor: pointer;" target="_blank" onclick="previewUrl('${commonStaticImgPath}`+imgsArr[i]+`')" class="download-link">`+fileName+`</a>`
                                ht+='<input type="hidden" name="otherAttachment" value="'+imgsArr[i]+'"/>';
                                ht +='</div>';
                            }
                        }
                        $(".otherAtta").append(ht);
                        $(".otherAttaImg").append(html);
                    }

                    //并网调试报告
                    if(!isBlank(insurances)&&!isBlank(insurances[0].bwtsFile)){
                        $("#bwtsFileOld").val(insurances[0].bwtsFile);
                        $("#bwtsFileNameOld").text(insurances[0].bwtsFilename);
                        $("#bwtsFile").val(insurances[0].bwtsFile);
                        $("#bwtsFileName").text(insurances[0].bwtsFilename);
                    }
                    if("08"==customerEntry.partnerId){
                        $("#khxx").removeClass("hide");
                        //客户信息

                        $(".tssBankNumName").text(customerEntry.tssBankNumName);
                        $("td[class='tssBankNumName']").attr("data-value",customerEntry.tssBankNum);
                        $(".bankCode").text(customerEntry.bankCode);
                        $(".idCardFront").find("img:eq(0)").attr("src",'${commonStaticImgPath}'+customerEntry.idCardFront);
                        $(".idCardFront").find("img:eq(1)").attr("src",'${commonStaticImgPath}'+customerEntry.idCardBack);
                        $("#idCardFront").val(customerEntry.idCardFront);
                        $("#idCardBack").val(customerEntry.idCardBack);
                        $(".idCardFront").find("div").removeClass("hide");

                        if(customerEntry.age>=65){
                            $(".bpCardSet").removeClass("hide");
                            $(".bpFileSet").removeClass("hide");
                            $(".bpCardFront").find("img:eq(0)").attr("src",'${commonStaticImgPath}'+customerEntry.bpCardFront);
                            $(".bpCardFront").find("img:eq(1)").attr("src",'${commonStaticImgPath}'+customerEntry.bpCardBack);
                            $("#bpCardFront").val(customerEntry.bpCardFront);
                            $("#bpCardBack").val(customerEntry.bpCardBack);
                            $(".bpCardFront").find("div").removeClass("hide");
                            $(".bpFile").find("img:eq(0)").attr("src",'${commonStaticImgPath}'+customerEntry.bpFile);
                            $("#bpFile").val(customerEntry.bpFile);
                            $(".bpFile").find("div").removeClass("hide");
                        }else{
                            $(".bpCardSet").addClass("hide");
                            $(".bpFileSet").addClass("hide");
                        }

                        $(".oldAddress").text(customerEntry.province+customerEntry.city+customerEntry.area+customerEntry.address);
                        $("#proCit").text(customerEntry.province+customerEntry.city+customerEntry.area);
                        var html = '';
                        if (!isBlank(surveyRecord.houseOwnership)) {
                            var imgsArr = surveyRecord.houseOwnership.split(",");
                            for (var i = 0; i < imgsArr.length; i++) {
                                html +='<div class="bj-img imgSpan">';
                                html +='   <img src="${commonStaticImgPath}' + imgsArr[i] + '">';
                                html +='  <input hidden name="HouseOwner" value="'+imgsArr[i]+'"> ';
                                html +='</div>';
                            }
                        }
                        $("#HouseOwnershipImg").empty().append(html);
                        $(".HouseOwnership").find("div").removeClass("hide");
                        if(isBlank(customerEntry.bankCard)){
                            $(".bankCard").find("img").attr("src",'');
                            $('#bankCard').val("");
                            $(".bankCard").find("div").addClass("hide");
                        }else{
                            $(".bankCard").find("img").attr("src",'${commonStaticImgPath}'+customerEntry.bankCard);
                            $('#bankCard').val(customerEntry.bankCard);
                            $(".bankCard").find("div").removeClass("hide");
                        }
                    }else{
                        $("#khxx").addClass("hide");
                    }
                    firstApply=customerEntry.firstApplyStatus;
                } else {
                    layer.msg(res.errMsg, {time: 2500});
                }

                viewer.update();
                hideOrShowHtml(formSetMerge,customerEntry);
                form.render();
            }
        });
    }

    function hideOrShowHtml(setData,customerEntry) {
        $(".bgxxDiv").addClass("hide");
        for (var i = 0; i < setData.length; i++) {
            let columnKey = setData[i].columnKey;
            if(customerKey.indexOf(columnKey)>0){
                continue;
            }
            console.log(columnKey+'*******************'+setData[i].useFlag);
            if (setData[i].useFlag == '0') {//不启用
                $("." + columnKey).addClass("hide");
            } else {
                if(columnKey === 'power_plant_code' || columnKey === 'archives_img'){   //电厂编码 、南网营销系统档案截图
                    if("0"==customerEntry.gridInstitution){
                        $("." + columnKey).addClass("hide");
                    }else{
                        $("." + columnKey).removeClass("hide");
                    }
                }else if(columnKey === 'province_code'){   //电力公司
                    if("0"==customerEntry.gridInstitution){
                        $(".province_code").removeClass("hide");
                        $(".province_code_hand").addClass("hide");
                    }else{
                        $(".province_code_hand").removeClass("hide");
                        $(".province_code").addClass("hide");
                    }
                }else{
                    $("." + columnKey).removeClass("hide");
                }
            }
        }
    }

    function selectEntry(){
        layer.open({
            type: 2,
            title: '选择电站',
            content: '${ctx}/entryChanges/customerInformationChange/toSelectEntry?status=bwxxbg',
            area: ['80%','80%']
        });
    }

    function delMoreImg(that){
        $(that).parent("div").parent("div").parent("div").find(".moreUpload").removeClass("hide");
        $(that).parent("div").parent("div").parent("div").find(".moreUpload").show();
        $(that).parent("div").remove();
    }

    function delMoreImg2(that){
        $(that).parent("div").parent("div").parent("div").find(".uploader1").removeClass("hide");
        $(that).parent("div").parent("div").parent("div").find(".uploader1").show();
        $(that).parent("div").remove();
    }


    function isBlank(val) {
        if (val == null || val == '' || val == undefined) {
            return true;
        }
        return false;
    }

    function getStatus(d) {
        var status =d.status;
        if (status == '0') {
            //预审状态 0.暂存 1.待预审 2.预审待审批 3.预审审批中 4.预审通过 5.预审拒绝
            if(d.credit=='1'){
                return '待预审';
            }else if(d.credit=='2'){
                return '预审审批中';
            }else if(d.credit=='3'){
                return '预审审批中';
            }else if(d.credit=='4'){
                return '待踏勘';
            }else if(d.credit=='5'){
                return '预审拒绝';
            }
            return '暂存';
        }
        if (status == '1') {
            //设计审核状态：1.待踏勘 2.待自审 3.自审驳回 4.自审通过 5.设计审核驳回 6.设计审核通过/已完成 7.进件审核驳回
            if(d.design_audit_flag=='1'){
                return '待踏勘';
            }else if(d.design_audit_flag=='2'){
                return '待自审';
            }  else if(d.design_audit_flag=='3'){
                return '自审驳回';
            } else if(d.design_audit_flag=='4'){
                return '自审通过';
            } else if(d.design_audit_flag=='5'){
                return '设计审核驳回';
            } else if(d.design_audit_flag=='6'){
                return '设计审核通过';
            }else if(d.design_audit_flag=='7'){
                return '进件审核驳回';
            }else if(d.design_audit_flag=='8'){
                return '进件审核中';
            }
            return '待审核';
        }
        if (status == '2') {
            return '审核驳回';
        }
        if (status == '3') {
            return '待下单';
        }
        if (status == '4') {
            return '待安装';
        }
        if(status == '5'){
            return '待安装验收';
        }
        if(status == 'f'){
            return '安装验收退回';
        }
        if(status == '6'){
            return '待并网';
        }
        if(status == '7'){
            return '待并网验收';
        }
        if(status == '8'){
            return '待交付';
        }
        if(status == '9'){
            return '待归档';
        }
        if(status == '10'){
            return '并网验收驳回';
        }
        if(status == '11'){
            return '归档驳回';
        }
        if(status == 'a'){
            return '已完成';
        }if(status == 'c'){
            return '待代理商确认';
        }
        // if(status == 'd'){
        //     return '待上传发票';
        // }
        if(status == 'e'){
            return '待签署合同';
        }
        if(status == 'w'){
            return '信息登记';
        }
        if(status == 'g'){
            return '设计审核';
        }
        if(status == 'AN'){
            return '待安装确认';
        }
        if(status == 'AT'){
            return '安装确认驳回';
        }
        if(status == 'BW'){
            return '待并网确认';
        }
        if(status == 'BN'){
            return '并网确认驳回';
        }
        if(status == 'h'){
            return '设计自审';
        }
        if(status == 'i'){
            return '安装自审';
        }
    }

    // 验证手机号
    function isPhoneNo(phone) {
        var tel = /^1[3|4|5|6|7|8|9][0-9]{9}$/;
        return tel.test($.trim(phone));
    }

    let initBankData = [];
    if (!isBlank(tssBankNumName) && !isBlank(tssBankNum)) {
        initBankData = [{name: tssBankNumName, value: tssBankNum, selected: true}];
    }

    function searchVal(val, cb, searchData, filed) {
        if (!isBlank(val)) {
            $.ajax({
                type: 'post',
                url: '${ctx}/sysSettings/linkNumber/findLinkNumberList',
                data: searchData,
                async: false,
                dataType: 'json',
                success: function (d) {
                    let arr = [];
                    for (let i = 0; i < d.length; i++) {
                        let data = {};
                        data.name = d[i].columns.bank_name;
                        data.value = d[i].columns.number;
                        data.origin = d[i];
                        arr.push(data);
                    }
                    cb(arr);
                }
            });
        } else {
            cb([]);
        }
    }

    function appendTr(data) {
        let d = data.arr[0].origin;
        tssBankNum = d.columns.number;
        tssBankNumName = d.columns.bank_name;
    }

    function provinceOrder(province,elecCity) {
        $("#city").empty();
        $("#area").empty();
        if (isBlank(province)) {
            $("#city").append("<option value=''>请选择</option>");
            return "";
        }
        $.ajax({
            type: "POST",
            url: "${ctx}/main/redirect/getCitysByProName",
            data: {
                province: province
            },
            success: function (result) {
                if (result == "205") {
                    layer.msg("暂无数据!")
                    return
                }
                var html = " <option value=''>请选择</option>";
                for (var i = 0; i < result.length; i++) {
                    var city = result[i];
                    if(elecCity==city.columns.CityName){
                        html = html + '<option value="' + city.columns.CityName + '" selected title="' + city.columns.CityName + '">' + city.columns.CityName + '</option>';
                    }else {
                        html = html + '<option value="' + city.columns.CityName + '" title="' + city.columns.CityName + '">' + city.columns.CityName + '</option>';
                    }
                }
                $("#city").append(html);
                form.render('select');
            }
        });

    }

    function delImg(that, id) {
        $("#" + id).show();
        $(that).parent().remove();
    }

    function cityOrder(city,eleArea) {
        $("#area").empty()
        if (isBlank(city)) {
            $("#area").append("<option value=''>请选择</option>");
            return "";
        }
        $.ajax({
            type: "POST",
            url: "${ctx}/main/redirect/getAreaByCityName",
            data: {
                city: city
            },
            success: function (result) {
                if (result == "205") {
                    layer.msg("暂无数据!")
                    return
                }
                var html = "<option value=''>请选择</option>";
                for (var i = 0; i < result.length; i++) {
                    var area = result[i];
                    if(eleArea==area.columns.DistrictName){
                        html = html + '<option value="' + area.columns.DistrictName + '" selected title="' + area.columns.DistrictName + '">' + area.columns.DistrictName + '</option>';
                    }else{
                        html = html + '<option value="' + area.columns.DistrictName + '" title="' + area.columns.DistrictName + '">' + area.columns.DistrictName + '</option>';
                    }

                }
                $("#area").append(html);

                form.render('select');
            }
        });

    }

    function previewUrl(_url) {
        if (!checkUrl(_url)) {
            return false;
        }
        var base = new Base64();
        var b64Encoded = base.encode(_url);
        if(_url.endsWith('pdf')){
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded)+'&officePreviewType=pdf');
        }else{
            window.open('http://47.98.203.224:8012/onlinePreview?url=' + encodeURIComponent(b64Encoded));
        }
    }

    function checkUrl(url) {
        //url= 协议://(ftp的登录信息)[IP|域名](:端口号)(/或?请求参数)
        var strRegex = '^((https|http|ftp)://)'//(https或http或ftp)
            + '(([\\w_!~*\'()\\.&=+$%-]+: )?[\\w_!~*\'()\\.&=+$%-]+@)?' //ftp的user@  可有可无
            + '(([0-9]{1,3}\\.){3}[0-9]{1,3}' // IP形式的URL- 3位数字.3位数字.3位数字.3位数字
            + '|' // 允许IP和DOMAIN（域名）
            + '(localhost)|'	//匹配localhost
            + '([\\w_!~*\'()-]+\\.)*' // 域名- 至少一个[英文或数字_!~*\'()-]加上.
            + '\\w+\\.' // 一级域名 -英文或数字  加上.
            + '[a-zA-Z]{1,6})' // 顶级域名- 1-6位英文
            + '(:[0-9]{1,5})?' // 端口- :80 ,1-5位数字
            + '((/?)|' // url无参数结尾 - 斜杆或这没有
            + '(/[\\w_!~*\'()\\.;?:@&=+$,%#-]+)+/?)$';//请求参数结尾- 英文或数字和[]内的各种字符
        var re = new RegExp(strRegex, 'i');//i不区分大小写
        //将url做uri转码后再匹配，解除请求参数中的中文和空字符影响
        if (re.test(encodeURI(url))) {
            return (true);
        } else {
            return (false);
        }
    }

    function delFile(that) {
        $(that).parent().remove();
    }

    function delVideoImg(that) {
        $("#contractVideoUrlUp").show();
        $(that).parent().remove();

    }

</script>
</body>
</html>


